目的
Kameleoon商品カタログ内の商品を削除する、または在庫ありとしてマークします。適切なAPIエンドポイントを呼び出す
a. 利用可能な商品の更新
このエンドポイントを使用して、現在 在庫がある 商品を示します。 エンドポイント:
これは 完全な置換 です。在庫のある商品IDのみを含めてください。
例:
b. 商品の削除
Kameleoonから商品を削除して、推奨結果に表示されないようにします。 エンドポイント:削除したい商品のIDのみを送信してください。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Remove ProductsおよびUpdate Products APIエンドポイントを使用して、Kameleoon商品カタログ内の商品を削除し、在庫状況を更新します。
PATCH https://api.products.kameleoon.com/import/products
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
shop_id | string | True | KameleoonストアID |
shop_secret | string | True | KameleoonシークレットID |
items | List | True | 在庫がある商品IDのリスト。 |
curl -X PATCH -L 'https://api.products.kameleoon.com/import/products' \
-H 'Content-Type: application/json' \
-d '{
"shop_id": "eehj3eu84299kg5ghw5a6743r8",
"shop_secret": "pmd5362597thrgq8k256ep01t0",
"items": ["1235", "4337", "7578"]
}'
DELETE https://api.products.kameleoon.com/import/products
| 名前 | 型 | 必須 | 説明 |
|---|---|---|---|
shop_id | string | True | KameleoonストアID |
shop_secret | string | True | KameleoonシークレットID |
items | List | True | 商品IDのリスト |
curl -X DELETE -L 'https://api.products.kameleoon.com/import/products' \
-H 'Content-Type: application/json' \
-d '{
"shop_id": "eehj3eu84299kg5ghw5a6743r8",
"shop_secret": "pmd5362597thrgq8k256ep01t0",
"items": ["1635", "3743", "7578", "432"]
}'
このページは役に立ちましたか?